// Java Authentication System
// ContentSection Class

// The manifest file and the signature files consists of ContentSections
// Two sections are separated with a blank line

public class ContentSection extends Object {

	public byte[] name;
	public DigestData[] digests;	// I have never seen more than two
	public byte[] rawdata;	// The complete section 

	ContentSection() {
		digests = new DigestData[ JasConfig.hashAlgorithms.length ];
		for ( int i=0 ; i < digests.length ; i++ ) {
			digests[i] = new DigestData();
		}
	}

	public String getName() {
		String str = new String(name);
		return str;
	}

	public DigestData[] getDigests() {		
		return digests;
	}

	public byte[] getBytes() {
		return rawdata;
	}
}
