// Java Authentication System
// FileEntry class

import java.util.zip.*;
import java.util.*;
import java.io.*;
import java.security.*;

public class FileEntry {
	String filename = null;
	InputStream instream = null;
	int size = 0;

	FileEntry( String name, InputStream in, int sz ) {
		filename = name;
		instream = in;
		size = sz;
		JasDebug.println("Fileentry (" + filename + ") created");
	}

	public String getName() {
		return filename;
	}

	public InputStream getInputStream() {
		return instream;
	}	

	public int getSize() {
		return size;
	}

	public byte[] getDigest( String hashAlgorithm ) 
	throws NoSuchAlgorithmException, IOException
	{
		MessageDigest md;
		if(hashAlgorithm.equals("SHA1")) {
			md = MessageDigest.getInstance("SHA");
		} else {
			md = MessageDigest.getInstance( hashAlgorithm );
		}
		byte[] content = new byte[ size ];
		for( int i=0; i < size; i++) {
			content[i] = (byte) instream.read();	
		}
		// md.update(  );
		byte[] digest = md.digest(content );

		return 	digest;
	}
}
