// Java Authentication System
// Ichecker Class (main class)
// Standalone Version

import java.io.*;
import java.util.zip.*;
import iaik.security.provider.*;
import java.security.*;

public class Ichecker {
	public static void main( String[] argv ) 
		throws IOException, ArrayIndexOutOfBoundsException, ArrayIndexOutOfBoundsException {
		JarFile jar = null;
		try {		
			jar = new JarFile( argv[0] );
		} catch ( IOException e ) {
			System.err.println("JAS Error:	Can't open JAR file");
			throw e;
		} catch ( ArrayIndexOutOfBoundsException e ) {
			System.out.println("JAS Usage: jas <JAR file path>");
			throw e;
		} catch ( NullPointerException e ) {
			System.out.println("JAS Usage: jas <JAR file path>");
			throw e;
		}

		if( jar.checkIntegrity() == true ) {
			JasDebug.println("Integrity check succeeded");
		} else {
			JasDebug.println("Integrity check failed");
		}
	}
}
